ProyectoCrm/src/app/Modulos/PlaneadorPedidosModulo/Formularios/fw-planeador-pedidos/fw-planeador-pedidos.component.pug
extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla2.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var ListadoCabecera = ["Pedido","Tipo","Fecha creacion","Estatus","Origen","Cliente", "Cantidad Art.", "Total"]

block contenido
    div.form-row
        div.form-group.col-12.col-lg-4
            div.form-row
                div.form-group.col-12
                    div.card.mb-1
                        div.card-header.py-3.d-flex.flex-row.align-items-center.justify-content-between
                            a(href="#divFiltros",
                                data-toggle="collapse",
                                role="button",
                                aria-expanded="true",
                                aria-controls="divFiltros").d-block
                                h6.m-0.font-weight-bold.text-primary Filtros
                            div.dropdown.no-arrow
                                a(href="#",
                                role="button",
                                data-toggle="dropdown",
                                aria-haspopup="true",
                                aria-expanded="false").dropdown-toggle
                                    i.fas.fa-bars.fa-sm.fa-fw.text-gray-400
                                div(aria-labelledby="dropdownMenuLink").dropdown-menu.dropdown-menu-right.shadow.animated--fade-in
                                    a(href="#", (click)="Descargar_Excel()").dropdown-item.h6
                                        span.fas.fa-file-excel.fa-sm.fa-fw.mr-2.text-gray-400
                                        | Descargar Excel
                        div#divFiltros.card-body.collapse.show
                            div.form-row
                                div.form-group.col-12
                                    label(for="ddlEstatus").form-label.h6 Estatus
                                    ng-multiselect-dropdown([placeholder]="'Estatus'",
                                        [data]="tEstatus",
                                        [settings]="tConfiguracionEstatus",
                                        (onSelect)="SeleccionarEstatus($event)",
                                        (onDeSelect)="DeseleccionarEstatus($event)",
                                        size-select="sm").ControlInput--Multiselect#ddlEstatus
                            div.form-row
                                div.form-group.col-12
                                    label(for="ddlTipos").form-label.h6 Tipo de pedido
                                    ng-multiselect-dropdown([placeholder]="'Tipos'",
                                        [data]="tTipos",
                                        (onSelect)="SeleccionarTipo($event)",
                                        (onDeSelect)="DeseleccionarTipo($event)",
                                        [settings]="tConfiguracionTipo",
                                        size-select="sm").ControlInput--Multiselect#ddlTipos
                            div.form-row
                                div.form-group.col-12
                                    div.custom-control.custom-checkbox
                                        input#chkFechaC(type="checkbox",
                                            [(ngModel)]="tFiltrarFechaC").custom-control-input
                                        label(for="chkFechaC").custom-control-label.h6 Fecha de creación
                                    div.ControlInput
                                        div.ControlInput--ContenedorIcono
                                            span.ControlInput--ContenedorIcono-Icono
                                                i.fas.fa-calendar-alt
                                        input(type="text",
                                            placeholder="",
                                            [(ngModel)]="tFechasCreacion",
                                            bsDaterangepicker="",
                                            [bsConfig]="{ adaptivePosition: true , rangeInputFormat: 'YYYY-MM-DD' }",
                                            size="sm",
                                            [disabled]="!tFiltrarFechaC")#txtFechaCreacion.ControlInput--Input
                        div.card-footer
                            div.row
                                div.col-12.col-lg-6
                                    button(type="button",
                                        (click)="Buscar_Pedidos()").btn.btn-sm.btn-primary.btn-block.btn-icon-split
                                        span.icon.text-white-50
                                            i.fas.fa-filter
                                        span.text Filtrar
                                div.col-12.col-lg-6
                                    button(type="button",
                                        (click)="Limpiar()").btn.btn-sm.btn-secondary.btn-block.btn-icon-split
                                        span.icon.text-white-50
                                            i.fas.fa-broom
                                        span.text Limpiar
            div.form-row
                div.form-group.col-12
                    div.card.shadow.mb-2
                        div.card-header.py-3.d-flex.flex-row.align-items-center.justify-content-between
                            a(href="#divTipoGraficos",
                                data-toggle="collapse",
                                role="button",
                                aria-expanded="true",
                                aria-controls="divTipoGraficos").d-block
                                h6.m-0.font-weight-bold.text-primary Tipo
                        div#divTipoGraficos.card-body.collapse.show
                            div.row
                                div.col-12
                                    div(ngbRadioGroup,
                                        name="rbTipoGraficos",
                                        [(ngModel)]="tTipoPie",
                                        (change)="MostrarGraficoTipo()").btn-group.btn-group-toggle
                                        label(ngbButtonLabel).btn-primary
                                            input(type="radio",
                                                ngbButton="",
                                                [value]="true")
                                            span.fas.fa-chart-pie
                                        label(ngbButtonLabel).btn-primary
                                            input(type="radio",
                                                    ngbButton="",
                                                    [value]="false")
                                            span.fas.fa-chart-bar
                            div.row
                                div.col-12
                                    div(*ngIf="tTipoPie===true").chart-pie.pt-4.pb-2
                                        canvas(#canvasTipo="")#canvasTipoPie
                                    div(*ngIf="tTipoPie===false").chart-bar.pt-4.pb-2
                                        canvas(#canvasBarra="")#canvasTipoBarra
            div.form-row
                div.form-group.col-12
                    div.card.shadow.mb-2
                        div.card-header.py-3.d-flex.flex-row.align-items-center.justify-content-between
                            a(href="#divEstatusGraficos",
                                data-toggle="collapse",
                                role="button",
                                aria-expanded="true",
                                aria-controls="divEstatusGraficos").d-block
                                h6.m-0.font-weight-bold.text-primary Estatus
                        div#divEstatusGraficos.card-body.collapse.show
                            div.row
                                div.col-12
                                    div(ngbRadioGroup,
                                        name="rbEstatusGraficos",
                                        [(ngModel)]="tEstatusPie",
                                        (change)="MostrarGraficoEstatus()").btn-group.btn-group-toggle
                                        label(ngbButtonLabel).btn-primary
                                            input(type="radio",
                                                ngbButton="",
                                                [value]="true")
                                            span.fas.fa-chart-pie
                                        label(ngbButtonLabel).btn-primary
                                            input(type="radio",
                                                    ngbButton="",
                                                    [value]="false")
                                            span.fas.fa-chart-bar
                            div.row
                                div.col-12
                                    div(*ngIf="tEstatusPie===true").chart-pie.pt-4.pb-2
                                        canvas(#canvasPieEstatus="")#canvasPieEstatus
                                    div(*ngIf="tEstatusPie===false").chart-bar.pt-4.pb-2
                                        canvas(#canvasBarraEstatus="")#canvasBarraEstatus
        div.form-group.col-12.col-lg-8
            div.row
                div.form-group.col-12.col-lg-4
                    div.card.border-left-primary.shadow-sm.h-100
                        div.card-body
                            div.row.no-gutters.align-items-center
                                div.col.mr-2
                                    div.font-weight-bold.text-primary.mb-1 Cantidad
                                    div.h6.mb-0.text-gray-800 {{ tPedidos.length | number:'1.0-0' }}
                                div.col-auto
                                    div.fas.fa-calculator.fa-2x.text-gray-300
                div.form-group.col-12.col-lg-4
                    div.card.border-left-success.shadow-sm.h-100
                        div.card-body
                            div.row.no-gutters.align-items-center
                                div.col.mr-2
                                    div.font-weight-bold.text-success.mb-1 Total
                                    div.h6.mb-0.text-gray-800 {{ TotalPedidos() | currency : tEmpresaActual.Simbolo  }}
                                div.col-auto
                                    div.fas.fa-coins.fa-2x.text-gray-300
            div.form-row
                div.form-group.col-4
                    div.ControlInput
                        div.ControlInput--ContenedorIcono
                            span.ControlInput--ContenedorIcono-Icono
                                i.fas.fa-shopping-cart
                        select([(ngModel)]="tFiltroActual",
                            size-select="sm").ControlInput--Select
                            option(*ngFor="let tFiltro of tFiltros", [ngValue]="tFiltro") {{tFiltro.Filtro}}
                div.form-group.col-8
                    input(type="text", placeholder="Ingrese busqueda",
                    [(ngModel)]="tFiltroBusqueda").form-control.form-control-sm
            div(*ngFor="let tPedido of tPedidos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index").form-row
                div.form-group.col-12
                    div.card.border-left-primary.shadow-sm.h-100
                        div.card-body
                            div.row.no-gutters.align-items-center
                                div.col.mr-2
                                    div.row.no-gutters.mb-2
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-primary Pedido:
                                                span.text-gray-800 [ {{ tPedido.Codpedido }} ]
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-primary Tipo:
                                                span.text-gray-800 {{ tPedido.Tipo }}
                                    div.row.no-gutters.mb-2
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-primary Fecha creaciòn:
                                                span.text-gray-800 {{ tPedido.Fecha_creacion | date: 'dd/MM/yyyy' }}
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-primary Estatus:
                                                span.text-gray-800 {{ tPedido.Estatus }}
                                    div.row.no-gutters.mb-2
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-primary Cliente:
                                                span.text-gray-800 [ {{ tPedido.Codcliente }} ] {{ tPedido.Descripcion_cliente }}
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-primary Origen:
                                                span.text-gray-800 [ {{ tPedido.Codorigen }} ]
                                    div.row.no-gutters.mb-2
                                        div.col.mr-2
                                            div.h6
                                                span.font-weight-bold.text-warning Total cantidad:
                                                span.text-gray-800 {{ tPedido.Total_cantidad | number:'1.0-0' }}
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-success Total pedido:
                                                span.text-gray-800 {{ tPedido.Total | currency : tEmpresaActual.Simbolo }}
                                div.col-auto.text-center
                                            div.row.no-gutters.mb-2
                                                div.col
                                                    div.fas.fa-calculator.fa-2x.text-gray-300
                                            div.row.no-gutters.mb-2
                                                div.col
                                                    button(type="button",
                                                        (click)="Descargar_Reportes(tPedido)").btn.btn-sm.btn-success.btn-block.btn-icon-split
                                                        span.icon.text-white-50
                                                            i.fas.fa-file-pdf
                                                        span.text Descargar PDF
                                            div.row.no-gutters.mb-2
                                                div.col
                                                    button(type="button",
                                                        (click)="AbrirModalDetalles(tPedido)").btn.btn-sm.btn-primary.btn-block.btn-icon-split
                                                        span.icon.text-white-50
                                                            i.fas.fa-eye
                                                        span.text Detalles
            div.form-row
                div.form-group.col-12
                    ngb-pagination([collectionSize]="tPedidos.length",
                        [(page)]="tPagina",
                        aria-label="Default pagination",
                        [pageSize]="tTamanoPag").d-flex.justify-content-center

ProyectoCrm/src/app/Modulos/PlaneadorPedidosModulo/Formularios/fw-planeador-pedidos/fw-planeador-pedidos.component.html

<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
</div>
<div class="row">
  <div class="col-12">
    <div class="form-row">
      <div class="form-group col-12 col-lg-4">
        <div class="form-row">
          <div class="form-group col-12">
            <div class="card mb-1">
              <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between"><a class="d-block" href="#divFiltros" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="divFiltros">
                  <h6 class="m-0 font-weight-bold text-primary">Filtros</h6></a>
                <div class="dropdown no-arrow"><a class="dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-bars fa-sm fa-fw text-gray-400"></i></a>
                  <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink"><a class="dropdown-item h6" href="#" (click)="Descargar_Excel()"><span class="fas fa-file-excel fa-sm fa-fw mr-2 text-gray-400"></span>Descargar Excel</a></div>
                </div>
              </div>
              <div class="card-body collapse show" id="divFiltros">
                <div class="form-row">
                  <div class="form-group col-12">
                    <label class="form-label h6" for="ddlEstatus">Estatus</label>
                    <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Estatus'" [data]="tEstatus" [settings]="tConfiguracionEstatus" (onSelect)="SeleccionarEstatus($event)" (onDeSelect)="DeseleccionarEstatus($event)" size-select="sm" id="ddlEstatus"></ng-multiselect-dropdown>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group col-12">
                    <label class="form-label h6" for="ddlTipos">Tipo de pedido</label>
                    <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Tipos'" [data]="tTipos" (onSelect)="SeleccionarTipo($event)" (onDeSelect)="DeseleccionarTipo($event)" [settings]="tConfiguracionTipo" size-select="sm" id="ddlTipos"></ng-multiselect-dropdown>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group col-12">
                    <div class="custom-control custom-checkbox">
                      <input class="custom-control-input" id="chkFechaC" type="checkbox" [(ngModel)]="tFiltrarFechaC"/>
                      <label class="custom-control-label h6" for="chkFechaC">Fecha de creación</label>
                    </div>
                    <div class="ControlInput">
                      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
                      <input class="ControlInput--Input" type="text" placeholder="" [(ngModel)]="tFechasCreacion" bsDaterangepicker="" [bsConfig]="{ adaptivePosition: true , rangeInputFormat: 'YYYY-MM-DD' }" size="sm" [disabled]="!tFiltrarFechaC" id="txtFechaCreacion"/>
                    </div>
                  </div>
                </div>
              </div>
              <div class="card-footer">
                <div class="row">
                  <div class="col-12 col-lg-6">
                    <button class="btn btn-sm btn-primary btn-block btn-icon-split" type="button" (click)="Buscar_Pedidos()"><span class="icon text-white-50"><i class="fas fa-filter"></i></span><span class="text">Filtrar</span></button>
                  </div>
                  <div class="col-12 col-lg-6">
                    <button class="btn btn-sm btn-secondary btn-block btn-icon-split" type="button" (click)="Limpiar()"><span class="icon text-white-50"><i class="fas fa-broom"></i></span><span class="text">Limpiar</span></button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="card shadow mb-2">
              <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between"><a class="d-block" href="#divTipoGraficos" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="divTipoGraficos">
                  <h6 class="m-0 font-weight-bold text-primary">Tipo</h6></a></div>
              <div class="card-body collapse show" id="divTipoGraficos">
                <div class="row">
                  <div class="col-12">
                    <div class="btn-group btn-group-toggle" ngbRadioGroup="ngbRadioGroup" name="rbTipoGraficos" [(ngModel)]="tTipoPie" (change)="MostrarGraficoTipo()">
                      <label class="btn-primary" ngbButtonLabel="ngbButtonLabel">
                        <input type="radio" ngbButton="" [value]="true"/><span class="fas fa-chart-pie"></span>
                      </label>
                      <label class="btn-primary" ngbButtonLabel="ngbButtonLabel">
                        <input type="radio" ngbButton="" [value]="false"/><span class="fas fa-chart-bar"></span>
                      </label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-12">
                    <div class="chart-pie pt-4 pb-2" *ngIf="tTipoPie===true">
                      <canvas #canvasTipo="" id="canvasTipoPie"></canvas>
                    </div>
                    <div class="chart-bar pt-4 pb-2" *ngIf="tTipoPie===false">
                      <canvas #canvasBarra="" id="canvasTipoBarra"></canvas>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="card shadow mb-2">
              <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between"><a class="d-block" href="#divEstatusGraficos" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="divEstatusGraficos">
                  <h6 class="m-0 font-weight-bold text-primary">Estatus</h6></a></div>
              <div class="card-body collapse show" id="divEstatusGraficos">
                <div class="row">
                  <div class="col-12">
                    <div class="btn-group btn-group-toggle" ngbRadioGroup="ngbRadioGroup" name="rbEstatusGraficos" [(ngModel)]="tEstatusPie" (change)="MostrarGraficoEstatus()">
                      <label class="btn-primary" ngbButtonLabel="ngbButtonLabel">
                        <input type="radio" ngbButton="" [value]="true"/><span class="fas fa-chart-pie"></span>
                      </label>
                      <label class="btn-primary" ngbButtonLabel="ngbButtonLabel">
                        <input type="radio" ngbButton="" [value]="false"/><span class="fas fa-chart-bar"></span>
                      </label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-12">
                    <div class="chart-pie pt-4 pb-2" *ngIf="tEstatusPie===true">
                      <canvas #canvasPieEstatus="" id="canvasPieEstatus"></canvas>
                    </div>
                    <div class="chart-bar pt-4 pb-2" *ngIf="tEstatusPie===false">
                      <canvas #canvasBarraEstatus="" id="canvasBarraEstatus"></canvas>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-8">
        <div class="row">
          <div class="form-group col-12 col-lg-4">
            <div class="card border-left-primary shadow-sm h-100">
              <div class="card-body">
                <div class="row no-gutters align-items-center">
                  <div class="col mr-2">
                    <div class="font-weight-bold text-primary mb-1">Cantidad</div>
                    <div class="h6 mb-0 text-gray-800">{{ tPedidos.length | number:'1.0-0' }}</div>
                  </div>
                  <div class="col-auto">
                    <div class="fas fa-calculator fa-2x text-gray-300"></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-4">
            <div class="card border-left-success shadow-sm h-100">
              <div class="card-body">
                <div class="row no-gutters align-items-center">
                  <div class="col mr-2">
                    <div class="font-weight-bold text-success mb-1">Total</div>
                    <div class="h6 mb-0 text-gray-800">{{ TotalPedidos() | currency : tEmpresaActual.Simbolo  }}</div>
                  </div>
                  <div class="col-auto">
                    <div class="fas fa-coins fa-2x text-gray-300"></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-4">
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-shopping-cart"></i></span></div>
              <select class="ControlInput--Select" [(ngModel)]="tFiltroActual" size-select="sm">
                <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
              </select>
            </div>
          </div>
          <div class="form-group col-8">
            <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
          </div>
        </div>
        <div class="form-row" *ngFor="let tPedido of tPedidos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index">
          <div class="form-group col-12">
            <div class="card border-left-primary shadow-sm h-100">
              <div class="card-body">
                <div class="row no-gutters align-items-center">
                  <div class="col mr-2">
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Pedido:</span><span class="text-gray-800">[ {{ tPedido.Codpedido }} ]</span></div>
                      </div>
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Tipo:</span><span class="text-gray-800">{{ tPedido.Tipo }}</span></div>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Fecha creaciòn:</span><span class="text-gray-800">{{ tPedido.Fecha_creacion | date: 'dd/MM/yyyy' }}</span></div>
                      </div>
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Estatus:</span><span class="text-gray-800">{{ tPedido.Estatus }}</span></div>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Cliente:</span><span class="text-gray-800">[ {{ tPedido.Codcliente }} ] {{ tPedido.Descripcion_cliente }}</span></div>
                      </div>
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Origen:</span><span class="text-gray-800">[ {{ tPedido.Codorigen }} ]</span></div>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col mr-2">
                        <div class="h6"><span class="font-weight-bold text-warning">Total cantidad:</span><span class="text-gray-800">{{ tPedido.Total_cantidad | number:'1.0-0' }}</span></div>
                      </div>
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-success">Total pedido:</span><span class="text-gray-800">{{ tPedido.Total | currency : tEmpresaActual.Simbolo }}</span></div>
                      </div>
                    </div>
                  </div>
                  <div class="col-auto text-center">
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <div class="fas fa-calculator fa-2x text-gray-300"></div>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <button class="btn btn-sm btn-success btn-block btn-icon-split" type="button" (click)="Descargar_Reportes(tPedido)"><span class="icon text-white-50"><i class="fas fa-file-pdf"></i></span><span class="text">Descargar PDF</span></button>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <button class="btn btn-sm btn-primary btn-block btn-icon-split" type="button" (click)="AbrirModalDetalles(tPedido)"><span class="icon text-white-50"><i class="fas fa-eye"></i></span><span class="text">Detalles</span></button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tPedidos.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag"></ngb-pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
